### Method

# GtkSource Region intersect_region

#### Declaration [src]

    GtkSourceRegion*
    gtk_source_region_intersect_region (
      GtkSourceRegion* region1,
      GtkSourceRegion* region2
    )

#### Description [src]

Returns the intersection between `region1` and `region2`.

`region1` and `region2` are not modified.

#### Parameters

`region1`

  Type: `GtkSourceRegion`

  A `GtkSourceRegion`, or `NULL`.

  The argument can be `NULL`.

`region2`

  Type: `GtkSourceRegion`

  A `GtkSourceRegion`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GtkSourceRegion`

The intersection as a `GtkSourceRegion` object.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.